Debian Bug report logs - #606949
[kopete] kopete don't wait for kwallet enough time

version graph

Package: kopete; Maintainer for kopete is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kopete is src:kopete.

Reported by: Landry MINOZA <landry.minoza@atexo.com>

Date: Mon, 13 Dec 2010 09:39:01 UTC

Severity: normal

Tags: fixed-upstream, patch, sid, squeeze, wheezy

Found in version kdenetwork/4:4.4.5-2

Fixed in version kdenetwork/4:4.6.2-1

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.kde.org/226270

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#606949; Package kopete. (Mon, 13 Dec 2010 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Landry MINOZA <landry.minoza@atexo.com>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 13 Dec 2010 09:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Landry MINOZA <landry.minoza@atexo.com>
To: submit@bugs.debian.org
Subject: [kopete] kopete don't wait for kwallet enough time
Date: Mon, 13 Dec 2010 10:35:36 +0100
Package: kopete
Version: 4:4.4.5-2
Severity: normal

--- Please enter the report below this line. ---
When I open my kde session, kopete is launched automaticaly. If I don't 
stay in front of my PC and type the kwallet password in less than 5 
minutes, kopete forget all the passwords and open as many password 
dialogs as configured account. All other kde apps are waiting kwallet 
forever.

--- System information. ---
Architecture: amd64
Kernel: Linux 2.6.35-trunk-amd64

Debian Release: squeeze/sid
990 unstable www.debian-multimedia.org
990 unstable ftp.fr.debian.org
990 unstable deb.opera.com
500 testing ftp.fr.debian.org
500 stable security.debian.org
500 stable ftp.fr.debian.org
500 stable dl.google.com
101 experimental ftp.fr.debian.org

--- Package information. ---
Depends (Version) | Installed
========================================-+-==================
kdebase-runtime | 4:4.4.5-1
kdepim-runtime | 4:4.4.7-1
libc6 (>= 2.3) | 2.11.2-7
libexpat1 (>= 1.95.8) | 2.0.1-7
libgadu3 (>= 1:1.8.0+r592) | 1:1.9.0-2
libgif4 (>= 4.1.4) | 4.1.6-9
libglib2.0-0 (>= 2.12.0) | 2.24.2-1
libidn11 (>= 1.13) | 1.18-1
libkabc4 (>= 4:4.4) | 4:4.4.5-2
libkde3support4 (>= 4:4.4) | 4:4.4.5-2
libkdecore5 (>= 4:4.4.4-2~) | 4:4.4.5-2
libkdeui5 (>= 4:4.4.0) | 4:4.4.5-2
libkdnssd4 (>= 4:4.4) | 4:4.4.5-2
libkhtml5 (>= 4:4.4) | 4:4.4.5-2
libkio5 (>= 4:4.4) | 4:4.4.5-2
libkmime4 (>= 4:4.4) | 4:4.4.5-2
libknewstuff2-4 (>= 4:4.4) | 4:4.4.5-2
libknotifyconfig4 (>= 4:4.4) | 4:4.4.5-2
libkopete4 (>= 4:4.4.1) | 4:4.4.5-2
libkparts4 (>= 4:4.4) | 4:4.4.5-2
libkpimidentities4 (>= 4:4.4) | 4:4.4.5-2
libkutils4 (>= 4:4.4) | 4:4.4.5-2
libmeanwhile1 (>= 1.0.2) | 1.0.2-3
libmediastreamer0 (>= 3.3.2) | 3.3.2-3
libmsn0.3 (>= 4.1~) | 4.1-1.2
libortp8 (>= 3.3.2) | 3.3.2-3
libotr2 (>= 3.2.0) | 3.2.0-2
libphonon4 (>= 4:4.2.0) | 4:4.6.0really4.4.2-1
libqca2 | 2.0.2-1
libqimageblitz4 (>= 1:0.0.4) | 1:0.0.6-2
libqt4-dbus (>= 4:4.5.3) | 4:4.6.3-4
libqt4-network (>= 4:4.5.3) | 4:4.6.3-4
libqt4-qt3support (>= 4:4.5.3) | 4:4.6.3-4
libqt4-sql (>= 4:4.5.3) | 4:4.6.3-4
libqt4-xml (>= 4:4.5.3) | 4:4.6.3-4
libqtcore4 (>= 4:4.6.1) | 4:4.6.3-4
libqtgui4 (>= 4:4.5.3) | 4:4.6.3-4
libsolid4 (>= 4:4.4) | 4:4.4.5-2
libssl0.9.8 (>= 0.9.8m-1) | 0.9.8o-4
libstdc++6 (>= 4.4.0) | 4.4.5-10
libv4l-0 (>= 0.5.0) | 0.8.1-1
libx11-6 | 2:1.3.3-4
libxml2 (>= 2.7.4) | 2.7.8.dfsg-1
libxslt1.1 (>= 1.1.25) | 1.1.26-6
phonon | 4:4.6.0really4.4.2-1
zlib1g (>= 1:1.1.4) | 1:1.2.3.4.dfsg-3


Recommends (Version) | Installed
==================================-+-===========
libqca2-plugin-ossl | 0.1~20070904-4
libqt4-sql-sqlite | 4:4.6.3-4


Suggests (Version) | Installed
===================================-+-===========
kdeartwork-emoticons | 4:4.4.5-1
khelpcenter4 | 4:4.4.5-1
texlive-latex-base |





-- 
Landry MINOZA
ATEXO
17, boulevard des Capucines
75002 PARIS
Tel : (33) 176 647 421
landry.minoza@atexo.com





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#606949; Package kopete. (Fri, 11 Feb 2011 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emil Langrock <emil.langrock@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 11 Feb 2011 15:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 606949@bugs.debian.org (full text, mbox):

From: Emil Langrock <emil.langrock@gmx.de>
To: 606949@bugs.debian.org
Cc: control@bugs.debian.org, 606949-subscribe@bugs.debian.org
Subject: [kopete] kwallet timeout
Date: Fri, 11 Feb 2011 16:31:20 +0100
[Message part 1 (text/plain, inline)]
tag 606949 + squeeze sid patch fixed-upstream
forwarded 606949 https://bugs.kde.org/226270
thanks

This was already fixed in kde in r1151086 [1]. I tested it using the attached 
patch for the kdenetwork 4.4.5-2 package.

It is quite irritating that I usually cannot enter my password in kwallet 
before kopete asks me directly for _all_ my instant messaging account related 
passwords. This makes kwallet in combination with kopete unusable for me.

[1] 
http://websvn.kde.org/branches/KDE/4.5/kdenetwork/kopete/libkopete/kopetewalletmanager.cpp?r1=1143427&r2=1151086&pathrev=1151086&view=patch
[kdenetwork_4.4.5-2kwallettimeout.patch (text/x-patch, attachment)]

Added tag(s) sid, squeeze, fixed-upstream, and patch. Request was from Emil Langrock <emil.langrock@gmx.de> to control@bugs.debian.org. (Fri, 11 Feb 2011 15:33:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.kde.org/226270'. Request was from Emil Langrock <emil.langrock@gmx.de> to control@bugs.debian.org. (Fri, 11 Feb 2011 15:33:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:58 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Pino Toscano <pino@kde.org> to control@bugs.debian.org. (Sun, 03 Apr 2011 22:27:10 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Wed, 27 Apr 2011 22:21:26 GMT) Full text and rfc822 format available.

Notification sent to Landry MINOZA <landry.minoza@atexo.com>:
Bug acknowledged by developer. (Wed, 27 Apr 2011 22:21:26 GMT) Full text and rfc822 format available.

Message #23 received at 606949-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 606949-close@bugs.debian.org
Subject: Bug#606949: fixed in kdenetwork 4:4.6.2-1
Date: Wed, 27 Apr 2011 22:18:47 +0000
Source: kdenetwork
Source-Version: 4:4.6.2-1

We believe that the bug you reported is fixed in the latest version of
kdenetwork, which is due to be installed in the Debian FTP archive:

kde-zeroconf_4.6.2-1_amd64.deb
  to main/k/kdenetwork/kde-zeroconf_4.6.2-1_amd64.deb
kdenetwork-dbg_4.6.2-1_amd64.deb
  to main/k/kdenetwork/kdenetwork-dbg_4.6.2-1_amd64.deb
kdenetwork-filesharing_4.6.2-1_amd64.deb
  to main/k/kdenetwork/kdenetwork-filesharing_4.6.2-1_amd64.deb
kdenetwork_4.6.2-1.debian.tar.gz
  to main/k/kdenetwork/kdenetwork_4.6.2-1.debian.tar.gz
kdenetwork_4.6.2-1.dsc
  to main/k/kdenetwork/kdenetwork_4.6.2-1.dsc
kdenetwork_4.6.2-1_all.deb
  to main/k/kdenetwork/kdenetwork_4.6.2-1_all.deb
kdenetwork_4.6.2.orig.tar.bz2
  to main/k/kdenetwork/kdenetwork_4.6.2.orig.tar.bz2
kget_4.6.2-1_amd64.deb
  to main/k/kdenetwork/kget_4.6.2-1_amd64.deb
kopete_4.6.2-1_amd64.deb
  to main/k/kdenetwork/kopete_4.6.2-1_amd64.deb
kppp_4.6.2-1_amd64.deb
  to main/k/kdenetwork/kppp_4.6.2-1_amd64.deb
krdc_4.6.2-1_amd64.deb
  to main/k/kdenetwork/krdc_4.6.2-1_amd64.deb
krfb_4.6.2-1_amd64.deb
  to main/k/kdenetwork/krfb_4.6.2-1_amd64.deb
libkopete-dev_4.6.2-1_amd64.deb
  to main/k/kdenetwork/libkopete-dev_4.6.2-1_amd64.deb
libkopete4_4.6.2-1_amd64.deb
  to main/k/kdenetwork/libkopete4_4.6.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdenetwork package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Apr 2011 12:23:42 +0300
Source: kdenetwork
Binary: kdenetwork kdenetwork-filesharing kget libkopete4 kopete libkopete-dev kppp krdc krfb kdenetwork-dbg kde-zeroconf
Architecture: all amd64 source 
Version: 4:4.6.2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Closes: 585007 588043 595283 606949
Description:
 kde-zeroconf - zeroconf plugins and kio slaves for KDE
 kdenetwork - networking applications from the official KDE 4 release
 kdenetwork-dbg - debugging symbols for the KDE networking module
 kdenetwork-filesharing - network filesharing configuration module
 kget       - download manager
 kopete     - instant messaging and chat application
 kppp       - modem dialer for KDE
 krdc       - Remote Desktop Connection client
 krfb       - Desktop Sharing utility
 libkopete-dev - development files for the Kopete instant messaging and chat appli
 libkopete4 - main Kopete library
Changes:
 kdenetwork (4:4.6.2-1) experimental; urgency=low
 .
   * New upstream release:
     - fixes shift modifier key not working in krfb when pressed on remote
       keyboard (Closes: #595283)
     - removes KWallet timeout in kopete (Closes: #606949)
     - kopete does not disconnect anymore after several XMPP ping messages from
       Jabber server (Closes: #585007)
     - kopete uses the right category for ICQ disconnect messages
       (Closes: #588043)
   * Update installed files.
   * Update libkopete symbols file.
 .
   * TODO: W: kget: embedded-javascript-library usr/[...]/mootools-core-yc.js
   * TODO: W: kget: embedded-javascript-library usr/[...]/mootools-more.js
 .
   [ George Kiagiadakis ]
   * Add myself to uploaders.
   * Remove all patches; applied upstream.
   * Bump build dependencies on kdelibs5-dev and
     kdepimlibs5-dev to version 4:4.6.
   * Drop libtelepathy-qt4-dev build-dependency, since it
     will cause trouble when libtelepathy-qt4 0.5 is uploaded
     in the archive and krdc/krfb telepathy support is not
     usable anyway without the rest of the telepathy components.
 .
   [ José Manuel Santamaría Lema ]
   * Removed patch 03_kopete_icq_login_fix.diff, applied upstream.
   * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
   * Bump build dependency on libkonq5-dev to 4:4.6.
   * Bump S-V to 3.9.1; add Breaks next to Replaces where needed.
   * Add build dependencies:
     - libjasper-dev
   * Update lintian overrides.
   * Add myself to Uploaders.
 .
   [ Pino Toscano ]
   * Add build dependencies:
     - libkonq5-dev
     - kdebase-workspace-dev
   * Remove unused build dependencies:
     - libgmp3-dev
     - libkwebkit-dev
   * Use wildcard architectures:
     - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
     - list of linux architectures -> linux-any
   * Remove libjasper-runtime recommend from kopete, as now it uses the jasper
     library directly.
   * Clean up Replaces/Breaks from the pre-squeeze era whenever possible.
 .
   [ Modestas Vainius ]
   * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
   * Require libktorrent-dev 1.1.
   * Move KDE SC Build-Depends to the beginning of the line.
Checksums-Sha1: 
 0b5b8083d7810fcc940b1b01b98ab61a325b12fb 478460 libkopete4_4.6.2-1_amd64.deb
 b16e9d1a6817d599f812ae34361a3966048599e4 2376 kdenetwork_4.6.2-1.dsc
 41f2e9a7da27af97d24abe58c52c2653e93db4da 582026 kdenetwork-filesharing_4.6.2-1_amd64.deb
 654726d391aac0f9e0c183a2f80f584cb559790a 543054 krdc_4.6.2-1_amd64.deb
 6865c074b87a201b876d11b86a2f14aff5f45abb 8689619 kdenetwork_4.6.2.orig.tar.bz2
 6ffcff5f88c3e2bd885e1545b82c43b034d8ef8d 16444 kdenetwork_4.6.2-1_all.deb
 7660f884d19a6743bc6e491fde9b98c04c04eb56 8027100 kopete_4.6.2-1_amd64.deb
 7b42ffcb543cac4166e092a5f878efe554056a42 41687 kdenetwork_4.6.2-1.debian.tar.gz
 927ff34790999cb874f39f761580a3cf29432838 487396 krfb_4.6.2-1_amd64.deb
 936c142499afd153e3c65352e3d5ed8ad0a9e5fb 2068518 kget_4.6.2-1_amd64.deb
 9eb300866cfff61fbcc94ee174f7008e41b41675 68704200 kdenetwork-dbg_4.6.2-1_amd64.deb
 ad2049c761b62c52a66634c90a5bc47fc31998e3 45636 kde-zeroconf_4.6.2-1_amd64.deb
 c44e4a3e1b5459e871b60a55f556268cc99a9fd1 112088 libkopete-dev_4.6.2-1_amd64.deb
 cb9ed7540910fa3f0cadfae6a440d429c1c2c6d3 674476 kppp_4.6.2-1_amd64.deb
Checksums-Sha256: 
 0a569e1f247596d98add8e3687d3d1a0fb8b30defc18f910732e2237832f9d4a 8689619 kdenetwork_4.6.2.orig.tar.bz2
 0d2d773514c836ab8e082943e2bcead9a917582fe969615820ea713ca09cf784 674476 kppp_4.6.2-1_amd64.deb
 1aa181585099557263f67874396067d3c46147cd72f7cc41ef30cbfdbc184209 2068518 kget_4.6.2-1_amd64.deb
 2aeaba4254b57184980331ab3b4eefc3021a928c4aef850c68f33b9d5dc02750 543054 krdc_4.6.2-1_amd64.deb
 325291bb208241c65c8382ba1957e977090a5867dce14d41cd9d23676c71ae75 582026 kdenetwork-filesharing_4.6.2-1_amd64.deb
 383bea543ece0a2c9b6990fc656ba2e37639e0f971a75cdfae9ed500718605d4 112088 libkopete-dev_4.6.2-1_amd64.deb
 664b39d98ce5aab700237cb925493644bb3111de8ee9170a3845f34e278727d5 2376 kdenetwork_4.6.2-1.dsc
 5c91f3b9764f49f9ee4446ba99b1b65997f25f6b4b2ac45fa8612b2daabc731e 16444 kdenetwork_4.6.2-1_all.deb
 87d3ffb8527d7e726fc65e5cf32372f663c96e389afacf022f1d0ef003d5b4a6 45636 kde-zeroconf_4.6.2-1_amd64.deb
 95d6464ffca4d7ec07113baa2daa558da05415302bc02ee28f603eced1903410 487396 krfb_4.6.2-1_amd64.deb
 97c9c252429f91b747720e1824609a557cdf9e790a085213e7f36c1940ff4edd 68704200 kdenetwork-dbg_4.6.2-1_amd64.deb
 a9f4ec1a27f61cbf4a9acb6d2da664f49cfbc42769caaddf20977aab51a58d7d 478460 libkopete4_4.6.2-1_amd64.deb
 c72ce648141e350b916419d94c20dd6217b197bc0fa829add864fea71a12ee63 41687 kdenetwork_4.6.2-1.debian.tar.gz
 f3707d6031f5c8c99f88953b850b28fbfe6a5ce84e26608c09f227c9dc2cfd7b 8027100 kopete_4.6.2-1_amd64.deb
Files: 
 022b2c2c2bd0d4f2d87de1fbd2329088 2068518 net optional kget_4.6.2-1_amd64.deb
 170dcd7301710e61443c827401d5ca78 543054 net optional krdc_4.6.2-1_amd64.deb
 30158fb3036eb080c5ece32c2961a735 41687 kde optional kdenetwork_4.6.2-1.debian.tar.gz
 49a7f1a08f82a2577e7dc2cc4d8a5983 68704200 debug extra kdenetwork-dbg_4.6.2-1_amd64.deb
 63704315ce3677ffcb70512b3422dc2d 16444 kde optional kdenetwork_4.6.2-1_all.deb
 70c984f6bd2468e694c0370d43155d58 45636 kde extra kde-zeroconf_4.6.2-1_amd64.deb
 72952749d055f5323df06a6c2a3d3d8b 8689619 kde optional kdenetwork_4.6.2.orig.tar.bz2
 cc347b25ac8658533e1bc608888969d6 582026 net optional kdenetwork-filesharing_4.6.2-1_amd64.deb
 2fd74beab8fc37d6f3319c89fdecb98c 2376 kde optional kdenetwork_4.6.2-1.dsc
 eee587720c31f972bd37f9cfd7739765 674476 net optional kppp_4.6.2-1_amd64.deb
 f0fae7b2d81ee6d65d6c2ece4420b6ef 112088 libdevel optional libkopete-dev_4.6.2-1_amd64.deb
 f106901d04de5e4e49899cc71ab97d38 487396 net optional krfb_4.6.2-1_amd64.deb
 f7f5ba318bb30792129dbb6aff8bb481 8027100 net optional kopete_4.6.2-1_amd64.deb
 f95926b506d23a0eaa58498365cdd191 478460 libs optional libkopete4_4.6.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk24kIwACgkQHO9JRnPq4hRQhACgtinPNJ7MFC5RtkRo8JKEESrS
7r4AoNpEFFqHvK01V3re7TShnqs8ansx
=95R+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jul 2011 07:40:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:43:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.